
=encoding utf8

=head1 NAME

Sidef::Types::Number::Fraction

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

    var a = Fraction(3, 4)
    var b = Fraction(5, 7)

    say a*b     #=> Fraction(15, 28)
    say a+b     #=> Fraction(41, 28)

=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Number::Number

=head1 METHODS

=head2 !=

    a != b

Returns the

Aliases: I<ne>

=cut

=head2 %

    a % b

Returns the

Aliases: I<mod>

=cut

=head2 &

    a & b

Returns the

Aliases: I<and>

=cut

=head2 *

    a * b

Returns the

Aliases: I<mul>

=cut

=head2 **

    a ** b

Returns the

Aliases: I<pow>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>

=cut

=head2 ++

    a ++ b

Returns the

Aliases: I<inc>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>

=cut

=head2 --

    a -- b

Returns the

Aliases: I<dec>

=cut

=head2 /

    a / b

Returns the

Aliases: I<÷>, I<div>

=cut

=head2 <

    a < b

Returns the

Aliases: I<lt>

=cut

=head2 <<

    a << b

Returns the

Aliases: I<lsft>

=cut

=head2 <=>

    a <=> b

Returns the

Aliases: I<cmp>

=cut

=head2 ==

    a == b

Returns the

Aliases: I<eq>

=cut

=head2 >

    a > b

Returns the

Aliases: I<gt>

=cut

=head2 >>

    a >> b

Returns the

Aliases: I<rsft>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>

=cut

=head2 |

    a | b

Returns the

Aliases: I<or>

=cut

=head2 ≤

    a ≤ b

Returns the

Aliases: I<E<lt>=>, I<le>

=cut

=head2 ≥

    a ≥ b

Returns the

Aliases: I<E<gt>=>, I<ge>

=cut

=head2 ceil

    x.ceil

Returns the

=cut

=head2 de

    self.de

Returns the

Aliases: I<den>, I<denominator>

=cut

=head2 dump

    x.dump

Returns the

=cut

=head2 eval

    x.eval(v)

Returns the

=cut

=head2 floor

    x.floor

Returns the

=cut

=head2 inv

    x.inv

Returns the

=cut

=head2 invmod

    x.invmod(n)

Returns the

=cut

=head2 is_mone

    x.is_mone

Returns the

=cut

=head2 is_nan

    x.is_nan

Returns the

=cut

=head2 is_one

    x.is_one

Returns the

=cut

=head2 is_real

    x.is_real

Returns the

=cut

=head2 is_zero

    x.is_zero

Returns the

=cut

=head2 lift

    x.lift

Returns the

=cut

=head2 neg

    x.neg

Returns the

=cut

=head2 new

    self.new

Returns the

Aliases: I<call>

=cut

=head2 nu

    self.nu

Returns the

Aliases: I<num>, I<numerator>

=cut

=head2 nude

    self.nude

Returns the

=cut

=head2 parts

    self.parts

Returns the

=cut

=head2 powmod

    x.powmod(n, m)

Returns the

=cut

=head2 pretty

    x.pretty

Returns the

Aliases: I<stringify>

=cut

=head2 round

    x.round

Returns the

=cut

=head2 sqr

    x.sqr

Returns the

=cut

=head2 to_n

    x.to_n

Returns the

=cut

=head2 to_s

    x.to_s

Returns the

=cut

=head2 trunc

    x.trunc

Returns the

=cut
